cassandra-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Aleksey Yeschenko (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CASSANDRA-9467) cqlsh does not connect to older protocol versions
Date Wed, 12 Aug 2015 23:46:47 GMT

    [ https://issues.apache.org/jira/browse/CASSANDRA-9467?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14694422#comment-14694422
] 

Aleksey Yeschenko commented on CASSANDRA-9467:
----------------------------------------------

The driver is compatible with previous C* versions (or else python- and java-driver users
would never be able to live-upgrade).

That said, cqlsh from 3.0 itself may or may not work with Cassandra 2.2 and 2.1, for reasons
unrelated to the driver. At the moment we provide no guarantees for that.

> cqlsh does not connect to older protocol versions
> -------------------------------------------------
>
>                 Key: CASSANDRA-9467
>                 URL: https://issues.apache.org/jira/browse/CASSANDRA-9467
>             Project: Cassandra
>          Issue Type: Improvement
>         Environment: 2.2rc1 against 2.1 / 2.0
>            Reporter: Robert Stupp
>            Assignee: Stefania
>            Priority: Minor
>              Labels: cqlsh
>             Fix For: 3.x
>
>
> {{cqlsh}} (from curent 2.2 branch) does no longer work against C* 2.1 and 2.0.
> {code}
> bin/cqlsh 
> Connection error: ('Unable to connect to any servers', {'127.0.0.1': ConnectionException('Did
not get expected SupportedMessage response; instead, got: Server protocol version (3) does
not match the specified driver protocol version (4). Consider setting Cluster.protocol_version
to 3.',)})
> {code}
> Related to CASSANDRA-9399 ?
> /cc [~stefania_alborghetti]



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message